kdeui Library: KSeparator Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSeparator Class Reference

Standard horizontal or vertical separator. More...

`#include <kseparator.h>`

Inheritance diagram for KSeparator:

[legend]
Collaboration diagram for KSeparator:

[legend]
List of all members.

## Public Member Functions
| KSeparator (QWidget *parent=0, const char *name=0, WFlags f=0)
| KSeparator (int orientation, QWidget *parent=0, const char *name=0, WFlags f=0)
int | orientation () const
void | setOrientation (int orient)
virtual QSize | sizeHint () const
## Protected Member Functions
virtual void | drawFrame (QPainter *p)
virtual void | virtual_hook (int id, void *data)
## Properties
int | orientation

## Detailed Description

Standard horizontal or vertical separator.

Author:
  Michael Roth <mroth@wirlweb.de>

Version:
  Id
    kseparator.h 345236 2004-09-09 15:23:55Z dfaure

Definition at line 33 of file kseparator.h.

## Constructor & Destructor Documentation

KSeparator::KSeparator | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0`
| ) |

  | Constructor. Parameters:
  | parent | parent object.
  | name | name of the new object.
  | f | extra QWidget flags.
Definition at line 28 of file kseparator.cpp. References QFrame::setLineWidth(), QFrame::setMidLineWidth(), and setOrientation().

KSeparator::KSeparator | ( | int | orientation,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0`
| ) |

  | Constructor. Parameters:
  | orientation | Set the orientation of the separator. Possible values are HLine or Horizontal and VLine or Vertical.
  | parent | parent object.
  | name | name of the new object.
  | f | extra QWidget flags.
Definition at line 38 of file kseparator.cpp. References QFrame::setLineWidth(), QFrame::setMidLineWidth(), and setOrientation().

## Member Function Documentation

int KSeparator::orientation | ( |  | ) | const

| Returns the orientation of the separator. Returns: int Possible values are VLine and HLine.

void KSeparator::setOrientation | ( | int | orient | ) |

  | Set the orientation of the separator to `orient`. Parameters:
  | orient | Possible values are VLine and HLine.
Definition at line 48 of file kseparator.cpp. References endl(), kdWarning(), and QFrame::setFrameStyle(). Referenced by KDialogBase::enableButtonSeparator(), KSeparator(), and KDialogBase::setButtonBoxOrientation().

QSize KSeparator::sizeHint | ( |  | ) | const`[virtual]`

| The recommended height (width) for a horizontal (vertical) separator. Definition at line 103 of file kseparator.cpp. References QFrame::frameStyle().

void KSeparator::drawFrame | ( | QPainter * | p | ) | `[protected, virtual]`

  | Parameters:
  | p | pointer to painter
Reimplemented from QFrame. Definition at line 82 of file kseparator.cpp. References QFrame::frameRect(), QFrame::frameStyle(), QRect::height(), QFrame::lineWidth(), QFrame::midLineWidth(), QRect::width(), QPoint::x(), QRect::x(), and QPoint::y().

The documentation for this class was generated from the following files:

- kseparator.h
- kseparator.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:04 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003